package com.sunxung.factoring.web.financing;

import com.sunxung.factoring.entity.ResponseJson;
import com.sunxung.factoring.service.financing.apply.FinancingApplyService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description : 融资申请Controller
 * @Author : L.Jia
 * @Date: 2023-12-16 14:10
 */
@RestController
@RequestMapping("/financing")
public class FinancingApplyController {

    @Autowired
    private FinancingApplyService financingApplyService;

    /***
     * 融资申请页面
     * @param id
     * @return
     */
    @GetMapping("/apply")
    public ResponseJson apply(Long id) {
        return new ResponseJson(financingApplyService.apply(id));
    }
}
