package com.sunxung.factoring.web.fundmanagement;

import com.sunxung.factoring.entity.GridPage;
import com.sunxung.factoring.entity.ResponseJson;
import com.sunxung.factoring.entity.fundmanagement.OverviewOfCooperation;
import com.sunxung.factoring.entity.fundmanagement.vo.FundSearchVo;
import com.sunxung.factoring.service.fundmanagement.OverviewOfCooperationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author liutao
 * @date 2023-02-17
 * @describe:合作概况
 */
@RestController
@RequestMapping("overview/cooperation")
public class OverviewOfCooperationController {

    @Autowired
    private OverviewOfCooperationService overviewOfCooperationService;

    @RequestMapping("list")
    public ResponseJson list(@RequestBody FundSearchVo fundSearchVo){
        GridPage list = overviewOfCooperationService.list(fundSearchVo);
        return new ResponseJson(list);
    }
}
