package com.sunxung.factoring;

import com.sunxung.factoring.component.util.SpringUtil;
import com.sunxung.factoring.start.StartLoad;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.stereotype.Controller;
import org.springframework.transaction.annotation.EnableTransactionManagement;


@SpringBootApplication()
@EnableConfigurationProperties
@EnableScheduling
public class ApplicationRun {

    public static void main(String[] args) throws Exception {
        SpringApplication.run(ApplicationRun.class, args);
        SpringUtil.getBeanByType(StartLoad.class).run();
        System.out.println("启动完成!");
    }
}
